## org.exist.cluster.journal
Class JournalIdGenerator

    java.lang.Object
      org.exist.cluster.journal.JournalIdGenerator

public class JournalIdGenerator
extends java.lang.Object

Manage the generation of the unique journal Id Created by Nicola Breda.

Author:
  Nicola Breda aka maiale, David Frontini aka spider Date: 05-aug-2005 Time: 18.09.08 Revision $Revision: 2134 $

Field Summary
`static int` `MAX_STORED_INDEX`

Constructor Summary
`JournalIdGenerator(JournalManager journal, int maxItem)`

Method Summary
`int[]` `getData()`
`int[]` `getNextData(java.lang.String address)`
`void` `increaseId(int id, int counter)`
`void` `releaseId(int id)`
`void` `setCounter(int counter)`
`void` `setLastId(int lastId)`
`void` `shiftId(int shift)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_STORED_INDEX

    public static int MAX_STORED_INDEX

Constructor Detail

### JournalIdGenerator

    public JournalIdGenerator(JournalManager journal,
                              int maxItem)

Method Detail

### getNextData

    public int[] getNextData(java.lang.String address)

### setLastId

    public void setLastId(int lastId)

### setCounter

    public void setCounter(int counter)

### releaseId

    public void releaseId(int id)

### increaseId

    public void increaseId(int id,
                           int counter)

### getData

    public int[] getData()

### shiftId

    public void shiftId(int shift)

Copyright (C) Wolfgang Meier. All rights reserved.